# Class: Window

## M_.Window()

Display a window from a template

## Constructor

#### new Window()

##### Properties:

Name | Type | Description
--- | --- | ---
`visible` | type |
`clickHide` | type |
`alpha` | type |
`zindex` | type |
`width` | type |
`maxWidth` | type |
`height` | type |
`html` | type |
`tpl` | type |
`tplData` | type |
`tplPartials` | type |
`cls` | type |
`modal` | type |
`animFrom` | type |
`top` | type |
`left` | type |
`position` | type |

Implements:
  - M_.Observable

### Methods

#### center() → {type}

##### Returns:

Type
  type

#### create() → {type}

##### Returns:

Type
  type

#### findEl(selector) → {jQuery}

Search a class or selector in the container, like $.find()

##### Parameters:

Name | Type | Description
--- | --- | ---
`selector` | string |

##### Returns:

Type
  jQuery

#### hide(anim) → {type}

##### Parameters:

Name | Type | Default | Description
--- | --- | --- | ---
`anim` | Boolean | true |

##### Returns:

Type
  type

#### isVisible() → {Boolean}

##### Returns:

Type
  Boolean

#### show(anim) → {type}

##### Parameters:

Name | Type | Default | Description
--- | --- | --- | ---
`anim` | Boolean | true |

##### Returns:

Type
  type

#### showOrHide(ok, anim) → {type}

##### Parameters:

Name | Type | Default | Description
--- | --- | --- | ---
`ok` | type |  |
`anim` | Boolean | true |

##### Returns:

Type
  type